<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>AdminLTE</title>
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css" />
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css" />
  <!-- Select2 -->
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
</head>

<style>
  #table-product {
    width: 100%;
  }

  #table-product th,
  #table-product td {
    min-width: 70px;
  }


  html,
  body,
  div,
  p {
    box-sizing: border-box;
    margin: 0;
  }

  p {
    margin: 0;
  }


  .upload__inputfile,
.upload__inputfile-update {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

  .upload__btn, .upload__btn-update {
    display: inline-block;
    font-weight: 600;
    color: #fff;
    text-align: center;
    min-width: 116px;
    padding: 5px;
    transition: all 0.3s ease;
    cursor: pointer;
    border-radius: 10px;
    line-height: 26px;
    font-size: 14px;
  }

  .upload__btn:hover {
    background-color: unset;
    color: #4045ba;
    transition: all 0.3s ease;
  }

  .upload__btn-box, .upload__btn-box-update {
    margin-bottom: 10px;
  }

  .upload__img-wrap,  .upload__img-wrap-update {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
  }

  .upload__img-box, .upload__img-box-update {
    width: 150px;
    padding: 0 10px;
    margin-bottom: 12px;
  }

  .upload__img-close {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 10px;
    right: 10px;
    text-align: center;
    line-height: 24px;
    z-index: 1;
    cursor: pointer;
  }

  .upload__img-close:after {
    content: '\2716';
    font-size: 14px;
    color: white;
  }

  .img-bg {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
    padding-bottom: 100%;
  }


  .imagePreview {
    width: 80%;
    height: 100px;
    background-position: center center;
    background: url(http://cliquecities.com/assets/no-image-e3699ae23f866f6cbdf8ba2443ee5c4e.jpg);
    background-color: #fff;
    background-size: cover;
    background-repeat: no-repeat;
    display: inline-block;
    box-shadow: 0px -3px 6px 2px rgba(0, 0, 0, 0.2);
  }

  .imagePreview2 {
    width: 80%;
    height: 100px;
    background-position: center center;
    background: url(http://cliquecities.com/assets/no-image-e3699ae23f866f6cbdf8ba2443ee5c4e.jpg);
    background-color: #fff;
    background-size: cover;
    background-repeat: no-repeat;
    display: inline-block;
    box-shadow: 0px -3px 6px 2px rgba(0, 0, 0, 0.2);
  }

  .btn-bg {
    display: block;
    border-radius: 0px;
    background-color: blue;
    color: white;
    box-shadow: 0px 4px 6px 2px rgba(0, 0, 0, 0.2);
    margin-top: -5px;
  }


  .imgUp {
    margin-bottom: 15px;
  }

  .del {
    position: absolute;
    top: 0px;
    right: 15px;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    background-color: rgba(255, 255, 255, 0.6);
    cursor: pointer;
  }

  .imgAdd {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #4bd7ef;
    color: #fff;
    box-shadow: 0px 0px 2px 1px rgba(0, 0, 0, 0.2);
    text-align: center;
    line-height: 30px;
    margin-top: 0px;
    cursor: pointer;
    font-size: 15px;
  }
</style>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="index3.html" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">

        </li>
      </ul>
      <!-- Right navbar links -->
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="index3.html" class="brand-link">
        <img src="../dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
          style="opacity: 0.8" />
        <span class="brand-text font-weight-light">Devcamp 120</span>
      </a>
      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="../dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image" />
          </div>
          <div class="info">
            <a href="#" class="d-block">product</a>
          </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link active">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>
                  Dashboard
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="customer.html" class="nav-link ">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Customer</p>
                  </a>
                  <a href="employee.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Employee</p>
                  </a>
                  <a href="office.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Office</p>
                  </a>
                  <a href="payment.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Payment</p>
                  </a>
                  <a href="order.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Order</p>
                  </a>
                  <a href="order_detail.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Order Detail</p>
                  </a>
                  <a href="product.html" class="nav-link active">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Product</p>
                  </a>
                  <a href="product_line.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Product Line</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>
        </nav>
      </div>
    </aside>
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="toast" id="myToast" role="alert"
            style="position: fixed; top: 0; right: 10px; width: 300px;z-index: 1050 !important;" data-delay="3000">
            <div class="toast-header">
              <strong class="mr-auto">My App</strong>
              <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="toast-body">
              This is a toast message.
            </div>
          </div>
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>product List</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">product</li>
              </ol>
            </div>
          </div>
        </div>
        <!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 text-center">
              <h2> Product List</h2>
            </div>
          </div>
          <div class="row form-group">
            <button class="btn btn-success" id="btn-add-product">
              <i class="fa fa-plus"></i>&nbsp; New product
            </button>
          </div>
          <div class="row form-group">
            <button class="btn btn-success" id="btn-export-excel">
              <i class="fa fa-plus"></i>&nbsp; Export To Excel
            </button>
          </div>
          <div class="row example1_wrapper table-container">

            <table class="table table-bordered table-striped table-hover" id="table-product">
              <thead>
                <tr>
                <tr>
                <tr>
                  <th>Action</th>
                  <th>STT</th>
                  <th>Product Code</th>
                  <th>Product Name</th>
                  <th>Description</th>
                  <th> Product Scale</th>
                  <th>Vendor</th>
                  <th>Quantity</th>
                  <th>Buy Price</th>
                </tr>
                </tr>
                </tr>
            </table>
          </div>
          <!-- Vùng Modal -->

          <!-- Create photos modal -->
          <div>
            <div id="create-product-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Create product
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form id="create-product-form">
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-product-code">Product Code</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-productCode" name="productcodes"
                            placeholder=" Product code" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-name">Product Name(*)</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-name" name="discount" placeholder="Name"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-desc">Description</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea type="text" id="input-create-desc" name="discount" placeholder="Description"
                            class="form-control"></textarea>
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-scale">Product Scale</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-scale" name="discount" placeholder="Scale"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-vendor">Product Vendor</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-vendor" name="discount" placeholder="Vendor"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-qty">Quantity</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="number" id="input-create-qty" name="discount" placeholder="Quantity"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-buyPrice">Buy Price</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="number" id="input-create-buyPrice" name="discount" placeholder="Buy Price"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-productLine">Product Line</label>
                        </div>
                        <div class="col-sm-8">
                          <select class="col-sm-12 py-1 form-control" id="input-create-productLine">
                            <option selected>Product Line</option>
                          </select>
                        </div>
                      </div>
                      <div class="form-group upload__box">
                        <div class="upload__btn-box">
                          <label class="upload__btn">
                            <p class="btn btn-primary">Upload images</p>
                            <input type="file" multiple="" data-max_length="20" class="upload__inputfile">
                          </label>
                        </div>
                        <div class="upload__img-wrap">
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">
                      Cancel
                    </button>
                    <button class="btn btn-primary" id="btn-create-product">
                      Create Products
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- Update products modal -->
          <div>
            <div id="update-product-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Update product
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form id="update-product-form">
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-product-code">Product Code</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-productCode" name="productcodes"
                            placeholder=" Product code" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-name">Product Name(*)</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-name" name="discount" placeholder="Name"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-desc">Description</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea type="text" id="input-update-desc" name="discount" placeholder="Description"
                            class="form-control"></textarea>
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-scale">Product Scale</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-scale" name="discount" placeholder="Scale"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-vendor">Product Vendor</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-vendor" name="discount" placeholder="Vendor"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-qty">Quantity</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="number" id="input-update-qty" name="discount" placeholder="Quantity"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-buyPrice">Buy Price</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="number" id="input-update-buyPrice" name="discount" placeholder="Buy Price"
                            class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-productLine">Product Line</label>
                        </div>
                        <div class="col-sm-8">
                          <select class="col-sm-12 py-1 form-control" id="input-update-productLine">
                            <option selected>Product Line</option>
                          </select>
                        </div>
                      </div>
                      <div class="form-group upload__box-update">
                        <div class="upload__btn-box-update">
                          <label class="upload__btn-update">
                            <p class="btn btn-primary">Upload images</p>
                            <input type="file" multiple="" data-max_length="20" class="upload__inputfile-update">
                          </label>
                        </div>
                        <div class="upload__img-wrap-update">
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">
                      Cancel
                    </button>
                    <button class="btn btn-primary" id="btn-update-product">
                      Update products
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Delete confirm modal -->
          <div>
            <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Product Delete Confirmation
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <label>Bạn có chắc chắn muốn xóa product này không?</label>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-danger" id="btn-confirm-delete-product">
                      Confirm
                    </button>
                    <button class="btn btn-secondary" data-dismiss="modal">
                      Cancel
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>

    </div>

    <footer class="main-footer">
      <div class="float-right d-none d-sm-block"><b>Version</b> 1.0</div>
      <strong>Copyright &copy; 2023
        <a href="https://adminlte.io">Devcamp 120</a>.</strong>
      All rights reserved.
    </footer>
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  <script src="../plugins/select2/js/select2.full.min.js"></script>
  <!-- AdminLTE App -->
  <script src="../dist/js/adminlte.min.js"></script>
  <!-- DataTables  & ../Plugins -->
  <script src="../plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
  <script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
  <script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
  <script src="../plugins/jszip/jszip.min.js"></script>
  <script src="../plugins/pdfmake/pdfmake.min.js"></script>
  <script src="../plugins/pdfmake/vfs_fonts.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
  ​
  <script src="../js/product.js"></script>
  <script>

  </script>

</body>

</html>